CMSDigestedData (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms

## Class CMSDigestedData

- java.lang.Object
- - org.bouncycastle.cms.CMSDigestedData

- All Implemented Interfaces:
    org.bouncycastle.util.Encodable

      public class CMSDigestedData
      extends java.lang.Object
      implements org.bouncycastle.util.Encodable

  containing class for an CMS Digested Data object

           CMSDigestedData cd = new CMSDigestedData(inputStream);

           process(cd.getContent());

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMSDigestedData(byte[] compressedData)`
    `CMSDigestedData(org.bouncycastle.asn1.cms.ContentInfo contentInfo)`
    `CMSDigestedData(java.io.InputStream compressedData)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.ASN1ObjectIdentifier` | `getContentType()`
    `org.bouncycastle.asn1.x509.AlgorithmIdentifier` | `getDigestAlgorithm()`
    `CMSProcessable` | `getDigestedContent()` Return the digested content
    `byte[]` | `getEncoded()` return the ASN.1 encoded representation of this object.
    `org.bouncycastle.asn1.cms.ContentInfo` | `toASN1Structure()` return the ContentInfo
    `boolean` | `verify(DigestCalculatorProvider calculatorProvider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CMSDigestedData

          public CMSDigestedData(byte[] compressedData)
                          throws CMSException

      Throws:
        `CMSException`

    - #### CMSDigestedData

          public CMSDigestedData(java.io.InputStream compressedData)
                          throws CMSException

      Throws:
        `CMSException`

    - #### CMSDigestedData

          public CMSDigestedData(org.bouncycastle.asn1.cms.ContentInfo contentInfo)
                          throws CMSException

      Throws:
        `CMSException`

  - ### Method Detail

    - #### getContentType

          public org.bouncycastle.asn1.ASN1ObjectIdentifier getContentType()

    - #### getDigestAlgorithm

          public org.bouncycastle.asn1.x509.AlgorithmIdentifier getDigestAlgorithm()

    - #### getDigestedContent

          public CMSProcessable getDigestedContent()
                                            throws CMSException

      Return the digested content
      Returns:
        the digested content
      Throws:
        `CMSException` - if there is an exception un-compressing the data.

    - #### toASN1Structure

          public org.bouncycastle.asn1.cms.ContentInfo toASN1Structure()

      return the ContentInfo

    - #### getEncoded

          public byte[] getEncoded()
                            throws java.io.IOException

      return the ASN.1 encoded representation of this object.
      Specified by:
        `getEncoded` in interface `org.bouncycastle.util.Encodable`
      Throws:
        `java.io.IOException`

    - #### verify

          public boolean verify(DigestCalculatorProvider calculatorProvider)
                         throws CMSException

      Throws:
        `CMSException`